import 'package:cpt_main/modules/demo_page.dart';
import 'package:cs_resources/generated/assets.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';

class FeedbackItem extends StatelessWidget {
  final int index;
  final String item;

  const FeedbackItem({
    required this.index,
    required this.item,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.only(left: 15, right: 15, top: 5, bottom: 5),
      padding: const EdgeInsets.symmetric(vertical: 19, horizontal: 18.5),
      decoration: BoxDecoration(
        color: context.appColors.whiteBG,
        borderRadius: BorderRadius.circular(6.0), // 圆角
        boxShadow: [
          BoxShadow(
            color: const Color(0xFFB8BFD9).withOpacity(0.3), // 阴影颜色
            offset: const Offset(0, 3), // 阴影的偏移量
            blurRadius: 8.0, // 模糊半径
            spreadRadius: 3.0, // 扩散半径
          ),
        ],
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Row(
            children: [
              const MyAssetImage(Assets.mainFeedbackItemIcon, width: 42.5, height: 44),
              Column(
                children: [

                  MyTextView(
                    "Exchange old houses for new ones",
                    fontSize: 16,
                    textColor: context.appColors.textBlack,
                    isFontMedium: true,
                  ),

                  MyTextView(
                    "Why are there no implementation rules and application methods for something",
                    fontSize: 14,
                    marginTop: 5,
                    textColor: context.appColors.textBlack,
                    isFontRegular: true,
                  ),
                ],
              ).expanded(),
            ],
          ),

          //备注
          MyTextView(
            "18 Sep 2024 18:00  |  Security  |  In Progress",
            fontSize: 12,
            marginTop: 10,
            textColor: context.appColors.textDarkGray,
            isFontRegular: true,
          ),
        ],
      ),
    );
  }
}
